Edit a single memory parameter (whitelisted fields only).
curl --request PATCH \
--url https://pria.praxislxp.com/api/admin/memory/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"key_value": "<string>",
"key_description": "<string>",
"shared": true
}
'{
"success": true,
"data": {
"_id": "<string>",
"key_name": "<string>",
"key_value": "<string>",
"key_description": "<string>",
"key_namespace": "<string>",
"shared": true,
"created": "2023-11-07T05:31:56Z",
"institution": {
"_id": "<string>",
"name": "<string>",
"ainame": "<string>"
}
}
}Admin Memory
Edit a single memory parameter (whitelisted fields only).
Whitelist: key_value, key_description, shared. key_name and key_namespace cannot be edited via PATCH because they are part of the unique index; to rename, delete + recreate.
PATCH
/
api
/
admin
/
memory
/
{id}
Edit a single memory parameter (whitelisted fields only).
curl --request PATCH \
--url https://pria.praxislxp.com/api/admin/memory/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"key_value": "<string>",
"key_description": "<string>",
"shared": true
}
'{
"success": true,
"data": {
"_id": "<string>",
"key_name": "<string>",
"key_value": "<string>",
"key_description": "<string>",
"key_namespace": "<string>",
"shared": true,
"created": "2023-11-07T05:31:56Z",
"institution": {
"_id": "<string>",
"name": "<string>",
"ainame": "<string>"
}
}
}Documentation Index
Fetch the complete documentation index at: https://docs.praxis-ai.com/llms.txt
Use this file to discover all available pages before exploring further.
Was this page helpful?
⌘I